Bug 657405 - Review Request: lbzip2 - fast, multi-threaded bzip2 utility
Summary: Review Request: lbzip2 - fast, multi-threaded bzip2 utility
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-25 19:29 UTC by Lukas Zapletal
Modified: 2012-09-10 16:36 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-22 00:04:58 UTC
susi.lehtola: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Description Lukas Zapletal 2010-11-25 19:29:57 UTC
Spec URL: http://static.zapletalovi.com/fedora/rpm/lbzip2/0.23-1/lbzip2.spec
SRPM URL: http://static.zapletalovi.com/fedora/rpm/lbzip2/0.23-1/lbzip2-0.23-1.fc14.src.rpm
Description:
lbzip2 is a multi-threaded implementation of bzip2, suited for serial and
parallel processing.  On a multi-core computer, lbzip2 is commonly the fastest
bzip2 decompressor for most bz2 files found on the internet.  (On dual-core
computers, the 7za utility from the p7zip package may prove more efficient.)

lbzip2 integrates nicely with GNU tar. Even on single-core computers, lbzip2
can speed up archiving in combination with tar, because lbzip2 allows
compression to overlap with disk usage to a greater extent than bzip2 does.

$ rpmlint lbzip2-0.23-1.fc14.src.rpm 
lbzip2.src: W: spelling-error Summary(en_US) multi -> mulch, mufti
lbzip2.src: W: spelling-error %description -l en_US multi -> mulch, mufti
lbzip2.src: W: spelling-error %description -l en_US decompressor -> de compressor, de-compressor, decompress or
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint lbzip2-0.23-1.fc14.i686.rpm lbzip2-debuginfo-0.23-1.fc14.i686.rpm 
lbzip2.i686: W: spelling-error Summary(en_US) multi -> mulch, mufti
lbzip2.i686: W: spelling-error %description -l en_US multi -> mulch, mufti
lbzip2.i686: W: spelling-error %description -l en_US decompressor -> de compressor, de-compressor, decompress or
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Susi Lehtola 2010-11-26 09:51:16 UTC
What do Patch0 and Patch1 do? Please make relevant comments in the makefile.

Plase be more verbose in %files; there's no need to use wildcards.

%{_bindir}/%{name}
%{_bindir}/lbzcat
%{_bindir}/lbunzip2
%doc %{_mandir}/man1/%{name}.1*
%doc %{_mandir}/man1/lbzcat.1*
%doc %{_mandir}/man1/lbunzip2.1*

Comment 2 Susi Lehtola 2010-11-26 09:59:28 UTC
rpmlint output as before in comment #0.


MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK
MUST: The package must be named according to the Package Naming Guidelines. OK
MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. OK

MUST: The License field in the package spec file must match the actual license. OK
- No headers in code but README states GPLv2+.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
72ab7fbfd3804e4ef1a2030f51ac3825  lbzip2-0.23.tar.gz
72ab7fbfd3804e4ef1a2030f51ac3825  ../SOURCES/lbzip2-0.23.tar.gz

MUST: The package MUST successfully compile and build into binary rpms. OK
MUST: The spec file MUST handle locales properly. N/A
MUST: Optflags are used and time stamps preserved. OK
MUST: Packages containing shared library files must call ldconfig. N/A
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Debuginfo package is complete. OK
MUST: Permissions on files must be set properly. OK
MUST: Large documentation files must go in a -doc subpackage. N/A
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: Header files must be in a -devel package. N/A
MUST: Static libraries must be in a -static package. N/A
MUST: If a package contains library files with a suffix then library files ending in .so must go in a -devel package. N/A
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency. N/A
MUST: Packages does not contain any .la libtool archives. N/A
MUST: Desktop files are installed properly. N/A
MUST: No file conflicts with other packages and no general names. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
EPEL: Clean section exists. OK
EPEL: Buildroot cleaned before install. OK
EPEL: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'. N/A


Package APPROVED. Please address issues in comment #1 before git import.

Comment 3 Lukas Zapletal 2010-11-26 12:07:23 UTC
New Package SCM Request
=======================
Package Name: lbzip2
Short Description:  Fast multi-threaded implementation of bzip2
Owners: lzap
Branches: f14
InitialCC:

Comment 4 Lukas Zapletal 2010-11-26 12:08:21 UTC
@Jussi: Thank you. Will correct it and add comments.

Comment 5 Lukas Zapletal 2010-12-07 07:49:04 UTC
Correcting the fedora-cvs flag.

Comment 6 Jens Petersen 2010-12-09 01:03:24 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2010-12-09 07:06:48 UTC
lbzip2-0.23-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/lbzip2-0.23-1.fc14

Comment 8 Fedora Update System 2010-12-09 21:57:18 UTC
lbzip2-0.23-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lbzip2'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/lbzip2-0.23-1.fc14

Comment 9 Fedora Update System 2010-12-22 00:04:52 UTC
lbzip2-0.23-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Laszlo Ersek 2011-05-27 12:04:30 UTC
New branch request for lbzip2:

(http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#other)

Package Change Request
======================
Package Name: lbzip2
New Branches: el4 el5 el6
Owners: lzap

*** Justification: seems like we'd like to use lbzip2 for virt perf testing, and it's more straightforward to install EPEL-x packages for RHEL-x than to fish them out of Fedora.

*** Changes likely needed: the current spec file specifies

BuildRequires:  bzip2-devel >= 1.0.6, dash, sharutils
Requires:       bzip2-libs >= 1.0.6

The bzip2-devel, bzip2-libs versions require 1.0.6+ only due to a secvuln fixed in upstream 1.0.6: "Version 1.0.6 removes a potential security vulnerability, CVE-2010-0405, so all users are recommended to upgrade immediately." (http://bzip.org/)

However, such fixes are always backported to / instantiated for all RHEL versions:

https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2010-0405

RHEL-4 ships bzip2-*-1.0.2, RHEL-5 ships bzip2-*-1.0.3, RHEL-6 ships something more recent than that. There's no earlier EPEL than EPEL-4. Therefore I suggest removing the bzip2 dependency version numbers from the spec file, on *all* three EPEL branches. lbzip2 only needs API compatibility, which is ensured by any 1.0.x.

*** Why I didn't add myself to the Owners field even now:

Because I want to keep my upstream work on lbzip2 strictly isolated from my work paid-for by Red Hat.

Lukas, I'll buy you a beer of your preference after working hours :) Thanks!

Comment 11 Laszlo Ersek 2011-05-27 12:07:26 UTC
(In reply to comment #10)

> However, such fixes are always backported to / instantiated for all RHEL
> versions:

I don't know what just happened to the previous comment, the bug I meant was bug 627882.

Comment 12 Lukas Zapletal 2011-05-30 08:47:30 UTC
Setting CVS flag for the EPEL request.

Comment 13 Jens Petersen 2011-05-31 06:57:10 UTC
Git done (by process-git-requests).

Comment 14 Fedora Update System 2011-06-02 11:14:29 UTC
lbzip2-0.23-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/lbzip2-0.23-2.el6

Comment 15 Fedora Update System 2011-06-02 11:38:39 UTC
lbzip2-0.23-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lbzip2-0.23-2.el5

Comment 16 Fedora Update System 2011-06-02 11:54:55 UTC
lbzip2-0.23-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/lbzip2-0.23-3.el4

Comment 17 Fedora Update System 2011-06-02 12:04:39 UTC
lbzip2-0.23-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lbzip2-0.23-3.el5

Comment 18 Fedora Update System 2011-06-21 17:09:18 UTC
lbzip2-0.23-3.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 19 Fedora Update System 2011-06-21 17:11:55 UTC
lbzip2-0.23-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 20 Fedora Update System 2011-06-21 17:12:03 UTC
lbzip2-0.23-3.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 21 Fedora Update System 2012-08-20 09:36:15 UTC
lbzip2-2.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/lbzip2-2.2-1.el5

Comment 22 Fedora Update System 2012-09-10 16:36:16 UTC
lbzip2-2.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.